﻿Public Class ClsDataPalSenseElement
    Dim _IsError As Boolean ' データが有効かどうか
    Dim _Data As Object
    Dim _ErrorCode As Byte
    Dim _SensorCode As Byte
    Dim _Ex As Object

    Public Property IsError As Boolean
        Get
            Return _IsError
        End Get
        Set(value As Boolean)
            _IsError = value
        End Set
    End Property

    Public Property Data As Object
        Get
            Return _Data
        End Get
        Set(value As Object)
            _Data = value
        End Set
    End Property

    Public Property ErrorCode As Byte
        Get
            Return _ErrorCode
        End Get
        Set(value As Byte)
            _ErrorCode = value
        End Set
    End Property

    Public Property SensorCode As Byte
        Get
            Return _SensorCode
        End Get
        Set(value As Byte)
            _SensorCode = value
        End Set
    End Property

    Public Property Ex As Object
        Get
            Return _Ex
        End Get
        Set(value As Object)
            _Ex = value
        End Set
    End Property

    ''' <summary>
    ''' SENSOR CODE 一覧
    ''' </summary>
    ''' <remarks></remarks>
    Public Enum E_SNSCD As Byte
        HALL = &H0
        TEMP = &H1
        HUMD = &H2
        LUMI = &H3
        ACCEL = &H4
        ACCEL_XYZ = &H24
        VOLT = &H30
        DIO = &H31
        EEP = &H32
    End Enum

    Public Enum E_EXCD_VOLT As Byte
        POWER = &H8
        ADC1 = &H1
        ADC2 = &H2
        ADC3 = &H3
        ADC4 = &H4
    End Enum
End Class
