﻿''' <summary>
''' ペイロードのデータ形式の表現
''' </summary>
''' <remarks></remarks>
Public Interface ITweDataPayload
    ''' <summary>
    ''' ペイロードをバイト列に変換する
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Function toByteArray() As Byte()

    ''' <summary>
    ''' バイト列からペイロードオブジェクトを生成する
    ''' </summary>
    ''' <param name="b"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Function parseByteArray(ByRef b As Byte()) As Boolean

    ''' <summary>
    ''' ペイロードの種別IDを得る（ダウンキャストを行うために利用）
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Function getCmdId() As Byte
End Interface
